summaryrefslogtreecommitdiffstats
path: root/scripts/zconfig.sh
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2013-01-24 13:54:58 -0800
committerBrian Behlendorf <[email protected]>2013-01-24 13:57:16 -0800
commite528c9b461df83eddc89c65d707d8674b4940314 (patch)
tree2ebda60f9e8961328bd54c07812b5cf5144b26a6 /scripts/zconfig.sh
parent563103decdca7c06850ca0909e5c8f8b4b0c0fe5 (diff)
Fix zconfig.sh partitioning error
Parted version 3.0 doesn't allow us to specify the start and end percentages as 50% and 100% respectively. This results in: Error: The location 100% is outside the device /dev/zd0 Therefore we change the syntax to 51% and -1 for end of device. Signed-off-by: Brian Behlendorf <[email protected]>
Diffstat (limited to 'scripts/zconfig.sh')
-rwxr-xr-xscripts/zconfig.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/zconfig.sh b/scripts/zconfig.sh
index 75e37d0de..d1e796f17 100755
--- a/scripts/zconfig.sh
+++ b/scripts/zconfig.sh
@@ -194,7 +194,7 @@ test_3() {
${ZFS} create -V 100M ${FULL_ZVOL_NAME} || fail 3
label /dev/zvol/${FULL_ZVOL_NAME} msdos || fail 4
partition /dev/zvol/${FULL_ZVOL_NAME} primary 1% 50% || fail 4
- partition /dev/zvol/${FULL_ZVOL_NAME} primary 50% 100% || fail 4
+ partition /dev/zvol/${FULL_ZVOL_NAME} primary 51% -1 || fail 4
${ZFS} snapshot ${FULL_SNAP_NAME} || fail 5
${ZFS} clone ${FULL_SNAP_NAME} ${FULL_CLONE_NAME} || fail 6
@@ -247,7 +247,7 @@ test_4() {
${ZFS} create -V 100M ${FULL_ZVOL_NAME} || fail 3
label /dev/zvol/${FULL_ZVOL_NAME} msdos || fail 4
partition /dev/zvol/${FULL_ZVOL_NAME} primary 1% 50% || fail 4
- partition /dev/zvol/${FULL_ZVOL_NAME} primary 50% 100% || fail 4
+ partition /dev/zvol/${FULL_ZVOL_NAME} primary 51% -1 || fail 4
${ZFS} snapshot ${FULL_SNAP_NAME} || fail 5
${ZFS} clone ${FULL_SNAP_NAME} ${FULL_CLONE_NAME} || fail 6